What IIS version on windows server is required to work with PHP7.1?RSS

3 replies

Last post Jan 20, 2021 07:20 AM by samwu

  • What IIS version on windows server is required to work with PHP7.1?

    Jan 19, 2021 08:27 PM|sk150312|LINK

    Hi,

    We are upgrading PHP5.5 application into PHP7.1 current version of IIS is 7.5.7600.16385, what is compatible version of IIS for PHP7.1

  • Re: What IIS version on windows server is required to work with PHP7.1?

    Jan 20, 2021 02:09 AM|samwu|LINK

    Hi sk150312,

    sk150312

    We are upgrading PHP5.5 application into PHP7.1 current version of IIS is 7.5.7600.16385, what is compatible version of IIS for PHP7.1

    As far as i know, PHP7.1 can work in iis10, you can upgrade your iis version to iis10.

    And this article also mentioned that PHP 7.1 can work in iis10: https://sarn.phamornsuwana.com/2017/10/02/step-by-step-instructions-on-upgrading-to-php-7-1-on-iis/

    Best regards,

    Sam

    .NET forums are moving to a new home on Microsoft Q&A, we encourage you to go to Microsoft Q&A for .NET for posting new questions and get involved today.
  • Re: What IIS version on windows server is required to work with PHP7.1?

    Jan 20, 2021 06:45 AM|sk150312|LINK

    Hi Sam,

    Thanks for update can you please let me know which version of IIS works on windows server for PHP 7.1. we have windows 2008 R2 with IIS 7.5. will this be support PHP 7.1 ?

  • Re: What IIS version on windows server is required to work with PHP7.1?

    Jan 20, 2021 07:20 AM|samwu|LINK

    Hi sk150312,

    sk150312

    Thanks for update can you please let me know which version of IIS works on windows server for PHP 7.1.

    Normal IIS10 supports PHP 7.1, if you want to know the specific version, for example, IIS Version 10.0.1.14393.0.

    sk150312

    we have windows 2008 R2 with IIS 7.5. will this be support PHP 7.1

    Windows Server 2008 R2 has expired and Microsoft’s support for it has ended, so I don’t recommend you to use it,It is likely to cause version incompatibility issues. and PHP 7.1 was released in 2017, iis7.5 should not support it,  

    You can try to use Windows Server 2019.

    Best regards,

    Sam

    .NET forums are moving to a new home on Microsoft Q&A, we encourage you to go to Microsoft Q&A for .NET for posting new questions and get involved today.